import ChartVisualisation from '../clientClass';
export default class MatrixChartVisualisation extends ChartVisualisation {
    static getModuleName(): string;
    initialise(): void;
    initSettings(): {
        toolTipOptions: {
            callbacks: {
                title(context: any): string;
                label(context: any): string;
            };
        };
    };
    setToolTipOptions(): {
        callbacks: {
            title(context: any): string;
            label(context: any): string;
        };
    };
    generateChartData(settings: any): {
        type: any;
        data: {
            datasets: any;
        };
        options: any;
        plugins: any[];
    };
    createDatasets(): any;
}
